Bug 820375 - [abrt] telepathy-butterfly-0.5.15-4.fc16: connmgr.py:65:disconnected:KeyError: <butterfly.connection.ButterflyConnection at /org/freedesktop/Telepathy/Connection/butterfly/msn/jgrunhut_40rogers_2ecom at 0x1cad510>
[abrt] telepathy-butterfly-0.5.15-4.fc16: connmgr.py:65:disconnected:KeyError...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: telepathy-butterfly (Show other bugs)
16
All Linux
medium Severity medium
: ---
: ---
Assigned To: Brian Pepple
Fedora Extras Quality Assurance
abrt_hash:98289c73e0907eb9851fb843880...
: Triaged
: 819905 819978 819980 819981 819986 820348 820433 820434 820447 820453 820463 820469 820471 820565 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-09 15:13 EDT by Jason Grunhut
Modified: 2013-02-26 10:24 EST (History)
13 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-26 10:24:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jason Grunhut 2012-05-09 15:13:54 EDT
libreport version: 2.0.8
abrt_version:   2.0.7
cmdline:        /usr/bin/python /usr/libexec/telepathy-butterfly
executable:     /usr/libexec/telepathy-butterfly
kernel:         3.3.4-1.fc16.x86_64
reason:         connmgr.py:65:disconnected:KeyError: <butterfly.connection.ButterflyConnection at /org/freedesktop/Telepathy/Connection/butterfly/msn/jgrunhut_40rogers_2ecom at 0x1cad510>
time:           Wed 09 May 2012 03:13:11 PM EDT
uid:            1000
username:       jason

backtrace:
:connmgr.py:65:disconnected:KeyError: <butterfly.connection.ButterflyConnection at /org/freedesktop/Telepathy/Connection/butterfly/msn/jgrunhut_40rogers_2ecom at 0x1cad510>
:
:Traceback (most recent call last):
:  File "/usr/lib/python2.7/site-packages/papyon/client.py", line 438, in disconnected
:    self._state = ClientState.CLOSED
:  File "/usr/lib/python2.7/site-packages/papyon/client.py", line 330, in fset
:    self._dispatch("on_client_state_changed", state)
:  File "/usr/lib/python2.7/site-packages/papyon/event/__init__.py", line 44, in _dispatch
:    if event_handler._dispatch_event(name, *args):
:  File "/usr/lib/python2.7/site-packages/papyon/event/__init__.py", line 65, in _dispatch_event
:    handler(*params)
:  File "/usr/lib/python2.7/site-packages/butterfly/connection.py", line 393, in on_client_state_changed
:    self._disconnected()
:  File "/usr/lib/python2.7/site-packages/butterfly/connection.py", line 286, in _disconnected
:    self._manager.disconnected(self)
:  File "/usr/lib/python2.7/site-packages/butterfly/connection_manager.py", line 51, in disconnected
:    result = telepathy.server.ConnectionManager.disconnected(self, conn)
:  File "/usr/lib/python2.7/site-packages/telepathy/server/connmgr.py", line 65, in disconnected
:    self._connections.remove(conn)
:KeyError: <butterfly.connection.ButterflyConnection at /org/freedesktop/Telepathy/Connection/butterfly/msn/jgrunhut_40rogers_2ecom at 0x1cad510>
:
:Local variables in innermost frame:
:self: <butterfly.connection_manager.ButterflyConnectionManager at /org/freedesktop/Telepathy/ConnectionManager/butterfly at 0x1cad0d0>
:conn: <butterfly.connection.ButterflyConnection at /org/freedesktop/Telepathy/Connection/butterfly/msn/jgrunhut_40rogers_2ecom at 0x1cad510>
Comment 1 Michał Bień 2012-05-10 07:06:16 EDT
*** Bug 820433 has been marked as a duplicate of this bug. ***
Comment 2 Michał Bień 2012-05-10 07:07:21 EDT
*** Bug 820434 has been marked as a duplicate of this bug. ***
Comment 3 Michał Bień 2012-05-10 07:08:42 EDT
*** Bug 820463 has been marked as a duplicate of this bug. ***
Comment 4 Michał Bień 2012-05-10 07:10:35 EDT
*** Bug 820471 has been marked as a duplicate of this bug. ***
Comment 5 Michał Bień 2012-05-10 07:10:54 EDT
*** Bug 820469 has been marked as a duplicate of this bug. ***
Comment 6 Michał Bień 2012-05-10 07:14:29 EDT
*** Bug 820447 has been marked as a duplicate of this bug. ***
Comment 7 Michał Bień 2012-05-10 07:16:36 EDT
*** Bug 820453 has been marked as a duplicate of this bug. ***
Comment 8 Michał Bień 2012-05-10 07:19:13 EDT
*** Bug 820348 has been marked as a duplicate of this bug. ***
Comment 9 Michał Bień 2012-05-10 07:22:33 EDT
*** Bug 819986 has been marked as a duplicate of this bug. ***
Comment 10 Michał Bień 2012-05-10 07:22:54 EDT
*** Bug 819981 has been marked as a duplicate of this bug. ***
Comment 11 Michał Bień 2012-05-10 07:23:55 EDT
*** Bug 819980 has been marked as a duplicate of this bug. ***
Comment 12 Michał Bień 2012-05-10 07:24:15 EDT
*** Bug 819978 has been marked as a duplicate of this bug. ***
Comment 13 Michał Bień 2012-05-10 07:24:36 EDT
*** Bug 819905 has been marked as a duplicate of this bug. ***
Comment 14 Michał Bień 2012-05-10 11:33:55 EDT
*** Bug 820565 has been marked as a duplicate of this bug. ***
Comment 15 Fedora End Of Life 2013-01-16 16:29:10 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 16 Fedora End Of Life 2013-02-26 10:24:56 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.